Package Details: wlroots-git 0.6.0.r70.g58b25848-1

Git Clone URL: https://aur.archlinux.org/wlroots-git.git (read-only)
Package Base: wlroots-git
Description: Modular Wayland compositor library
Upstream URL: https://github.com/swaywm/wlroots
Keywords: compositor library wayland
Licenses: custom:MIT
Conflicts: wlroots
Provides: wlroots
Submitter: aperez
Maintainer: aperez
Last Packager: aperez
Votes: 33
Popularity: 2.003688
First Submitted: 2018-02-20 16:48
Last Updated: 2019-08-09 12:24

Required by (15)

Sources (1)

Pinned Comments

aperez commented on 2018-09-28 08:31

IMPORTANT

Please do not flag this package as out-of-date if the only change you need is to update to a newer version. It is not needed because it always fetches the sources using Git and uses the most recent version without needing to modify the PKGBUILD — just rebuild the package.

Also, please try building in a clean chroot before assuming that the PKGBUILD is broken.

Latest Comments

« First ‹ Previous 1 2 3

emersion commented on 2018-05-18 14:21

Can you please add debug options to this package? This is an unreleased package, and we're tired of getting bug reports without readable stack traces.

References: https://wiki.archlinux.org/index.php/Debug_-_Getting_Traces#PKGBUILD https://github.com/swaywm/sway/issues/2000

aperez commented on 2018-05-08 13:35

@bobsaintcool: I have pushed an update with “git” and “wayland-protocol” added as build-dependencies. The latter only contains XML protocol description files used to generate C code when building other packages, and it's not at all needed at runtime. Thanks for the heads up!

bobsaintcool commented on 2018-05-08 13:04

I'm running into difficulties when building wlroots with this package. Can you consider adding git (build) and wayland-protocols (run) to package dependencies?

Patch example[0] available.

[0] https://gist.github.com/bobsaintcool/8ce69d5dec57cfc72dd1c16e3643f39e